Package com.sun.jna.platform.win32

## Class WTypes.LPOLESTR

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.platform.win32.WTypes.LPOLESTR

- All Implemented Interfaces:
    `NativeMapped`
  Direct Known Subclasses:
    `WTypes.LPOLESTR.ByReference`
  Enclosing interface:
    WTypes

      public static class WTypes.LPOLESTR
      extends PointerType

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `WTypes.LPOLESTR.ByReference` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LPOLESTR()` |
    `LPOLESTR​(Pointer pointer)` |
    `LPOLESTR​(java.lang.String value)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getValue()` |
    `void` | `setValue​(java.lang.String value)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.sun.jna.PointerType

      `equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LPOLESTR

          public LPOLESTR()

    - #### LPOLESTR

          public LPOLESTR​(Pointer pointer)

    - #### LPOLESTR

          public LPOLESTR​(java.lang.String value)

  - ### Method Detail

    - #### setValue

          public void setValue​(java.lang.String value)

    - #### getValue

          public java.lang.String getValue()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `PointerType`